Lokale ontwikkelomgeving

Uit phpBB.nl Wiki
Ga naar: navigatie, zoeken

Met localhost kun je ofline een server beheren, hiermee kun je dus ook ofline een forum instaleren en aanpassen, ideaal voor mensen die graag eerst alles uit testen!


Wat heb je nodig?

Je hebt wel een paar dingen nodig om ofline je forum te kunnen instaleren en te beheren.

  1. Een programma waarmee je localhost kan draaien, hieronder heb je er een paar:
  • EasyPHP Apache 2.2.3 - PHP 5.2.0 - MySQL 5.0.27
    For Windows Win9x/Me/NT/2000/XP -- Werkt als het goed is op Vista.

  • WampServer 2.0c Apache 2.2.8 - PHP 5.2.6 - MySQL 5.0.51b
    Voor Windows NT/XP en Vista.

  • MAMP and MAMP Pro 1.7.2 Apache 2.0.59 - PHP 5.2.6 - MySQL 5.0.41
    Voor Mac OS X 10.3.x, 10.4.x, 10.5.x PPC en Intel

  • XAMPP voor Linux Apache 2.2.9 - PHP 5.2.6 - MySQL 5.0.67
    Voor Linux SuSE, RedHat, Mandrake en Debian (Andere versies zijn niet getest).

  • XAMPP for Windows Apache 2.2.9 - PHP 5.2.6 - MySQL 5.0.67
    Voor Windows 2000, 2003, XP en Vista.

  • XAMPP for Mac OS X Apache 2.2.9 - PHP 5.2.6 - MySQL 5.0.67
    Voor Mac OS X 10.4, 10.5+ PPC en Intel.

  • XAMPP for Solaris Apache 2.2.6 - PHP 5.2.6 - MySQL 5.0.67
    Voor Solaris 8 en 9 (andere versies ongetest).

  • AppServ Apache 2.2.8 - PHP 5.2.6 - MySQL 5.0.51b
    Voor Windows NT, 2000, 2003 en XP.

2 De juiste computer.

3 phpBB3!

Je kunt phpbb3 pas instaleren als je aan de eisen voldoet voor phpBB3,

klik hier om meer te weten wat je nodig hebt om phpBB3 te kunnen draaien.

Instaleren

Het instaleren gaat hetzelfde als het instaleren zoals die van elk andere programma.